## aufs-tools 3.0+20111022

=== Makefile ===

# Copyright (C) 2005-2011 Junjiro R. Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA

CFLAGS += -I./libau
CFLAGS += -O -Wall

# MountCmdPath: dirty trick to support local nfs-mount.
# - on a single host, mount aufs, export it via nfs, and mount it again
#   via nfs locally.
# in this situation, a deadlock MAY happen between the aufs branch
# management and nfsd.
# - mount.aufs enters the pseudo-link maintenance mode which prohibits
#   all processes acess to the aufs mount except its children.
# - mount.aufs calls execvp(3) to execute mount(8).
# - then nfsd MAY searches mount(8) under the nfs-mounted aufs which is
#   already prohibited.
# the search behaviour is highly depending upon the system environment,
# but if we specify the path of mount(8) we can keep it from the
# deadlock.

ifdef MountCmdPath
override CPPFLAGS += -DMOUNT_CMD_PATH=\"${MountCmdPath}/\"
else
override CPPFLAGS += -DMOUNT_CMD_PATH=\"\"
endif

Cmd = aubusy auchk aubrsync
Man = aufs.5
Etc = etc_default_aufs
Bin = auibusy auplink mount.aufs umount.aufs #auctl
BinObj = $(addsuffix .o, ${Bin})
LibUtil = libautil.a
LibUtilObj = proc_mnt.o br.o plink.o mtab.o
LibUtilHdr = au_util.h
export

all: ver_test ${Man} ${Bin} ${Etc}
	${MAKE} -C libau $@
	ln -sf ./libau/libau*.so .

ver_test: ver
	./ver

${Bin}: LDFLAGS += -static -s
${Bin}: LDLIBS = -L. -lautil
${BinObj}: %.o: %.c ${LibUtilHdr} ${LibUtil}

${LibUtilObj}: %.o: %.c ${LibUtilHdr}
#${LibUtil}: ${LibUtil}(${LibUtilObj})
${LibUtil}: $(foreach o, ${LibUtilObj}, ${LibUtil}(${o}))
.NOTPARALLEL: ${LibUtil}

etc_default_aufs: c2sh aufs.shlib
	${RM} $@
	echo '# aufs variables for shell scripts' > $@
	./c2sh >> $@
	echo >> $@
	sed -e '0,/^$$/d' aufs.shlib >> $@

aufs.5: aufs.in.5 c2tmac
	${RM} $@
	./c2tmac > $@
	awk '{ \
		gsub(/\140[^\047]*\047/, "\\[oq]&\\[cq]"); \
		gsub(/\\\[oq\]\140/, "\\[oq]"); \
		gsub(/\047\\\[cq\]/, "\\[cq]"); \
		gsub(/\047/, "\\[aq]"); \
		print; \
	}' aufs.in.5 >> $@
	chmod a-w $@

.INTERMEDIATE: c2sh c2tmac ver

Install = install -o root -g root -p
install_sbin: File = auibusy auplink mount.aufs umount.aufs
install_sbin: Tgt = ${DESTDIR}/sbin
install_ubin: File = aubusy auchk aubrsync #auctl
install_ubin: Tgt = ${DESTDIR}/usr/bin
install_sbin install_ubin: ${File}
	install -d ${Tgt}
	${Install} -m 755 ${File} ${Tgt}
install_etc: File = etc_default_aufs
install_etc: Tgt = ${DESTDIR}/etc/default/aufs
install_etc: ${File}
	install -d $(dir ${Tgt})
	${Install} -m 644 -T ${File} ${Tgt}
install_man: File = aufs.5
install_man: Tgt = ${DESTDIR}/usr/share/man/man5
install_man: ${File}
	install -d ${Tgt}
	${Install} -m 644 ${File} ${Tgt}
install_ulib:
	${MAKE} -C libau $@

install: install_man install_sbin install_ubin install_etc install_ulib

clean:
	${RM} ${Man} ${Bin} ${Etc} ${LibUtil} libau.so* *~
	${RM} ${BinObj} ${LibUtilObj}
	${MAKE} -C libau $@

-include priv.mk

=== libau/Makefile ===
# Copyright (C) 2005-2011 Junjiro R. Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA

LibSoMajor = 2
LibSoMinor = 6
LibSo = libau.so
LibSoObj = libau.o \
	rdu_lib.o rdu.o rdu64.o \
	pathconf.o
LibSoHdr = libau.h rdu.h

all: ${LibSo}

# this is unnecessary on 64bit system?
rdu64.c: rdu.c
	ln -sf $< $@
rdu64.o: CFLAGS += -DRdu64
.INTERMEDIATE.: rdu64.c

${LibSoObj}: CFLAGS += -fPIC -DNDEBUG -D_REENTRANT -I.
${LibSoObj}: %.o: %.c ${LibSoHdr}
${LibSo}: ${LibSo}.${LibSoMajor}
	ln -sf $< $@
${LibSo}.${LibSoMajor}: ${LibSo}.${LibSoMajor}.${LibSoMinor}
	ln -sf $< $@
${LibSo}.${LibSoMajor}.${LibSoMinor}: LDLIBS += -ldl -lpthread
${LibSo}.${LibSoMajor}.${LibSoMinor}: ${LibSoObj}
	${CC} --shared -Wl,-soname,${LibSo}.${LibSoMajor} ${LDFLAGS} \
		-o $@ $^ ${LDLIBS}

install_ulib: File = ${LibSo}.${LibSoMajor}.${LibSoMinor}
install_ulib: Tgt = ${DESTDIR}/usr/lib
install_ulib: ${File}
	install -d ${Tgt}
	${Install} -m 644 -s ${File} ${Tgt}
	# -m 6755
	ln -sf ${File} ${Tgt}/${LibSo}.${LibSoMajor}
	ln -sf ${LibSo}.${LibSoMajor} ${Tgt}/${LibSo}

clean:
	${RM} ${LibSo} ${LibSo}.* ${LibSoObj} *~
	test -L rdu64.c && ${RM} rdu64.c || :

=== debian/changelog ===
aufs-tools (1:3.0+20111022-1) unstable; urgency=low

  * Merging upstream version 3.0+20111022.
  * Switching architecture fields to linux-any.
  * Adding versioned build-depends on linux-libc-dev.
  * Using compression level 9 also for binary packages.
  * Sorting overrides in rules alphabetically.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 03 Nov 2011 10:04:55 +0100

aufs-tools (20110410-1) unstable; urgency=low

  * Merging upstream version 20110410.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating years in copyright file.
  * Updating to standards version 3.9.2.
  * Compacting copyright file.
  * Updating build and install targets in rules for new upstream
    version.
  * Rediffing static.patch.
  * Correcting spelling mistake in package description.
  * Adding manpage symlinks for aubusy and auibusy.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2011 00:22:02 +0200

aufs-tools (20100901-2) experimental; urgency=low

  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 26 Nov 2010 17:30:56 +0100

aufs-tools (20100901-1) experimental; urgency=low

  * Merging upstream version 20100901.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 01 Sep 2010 09:41:49 +0200

aufs-tools (20100801-1) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 20100801.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 13:51:36 +0200

aufs-tools (20100601-1) unstable; urgency=low

  * Merging upstream version 20100601.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 01 Jun 2010 07:00:25 +0200

aufs-tools (20100501-1) unstable; urgency=low

  * Merging upstream version 20100501.
  * Updating rules file for new upstream version.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 01 May 2010 05:16:04 +0200

aufs-tools (20100401-1) unstable; urgency=low

  * Merging upstream version 20100401.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 02 Apr 2010 09:06:19 +0200

aufs-tools (20100301-1) unstable; urgency=low

  * Merging upstream version 20100301.
  * Sorting dh call in rules to more common order.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 12 Mar 2010 18:02:27 +0100

aufs-tools (20100201-1) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 20100201.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 01 Feb 2010 12:48:24 +0100

aufs-tools (20100101-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 27 Dec 2009 11:14:34 +0100

=== debian/control ===
Source: aufs-tools
Section: kernel
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8), linux-libc-dev (>= 3)
Standards-Version: 3.9.2
Homepage: http://aufs.sourceforge.net/

Package: aufs-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools to manage aufs filesystems
 The aufs driver provides a unification file system for the Linux kernel. It
 allows one to virtually merge the contents of several directories and/or stack
 them, so that apparent file changes in the aufs end in file changes in only one
 of the source directories.
 .
 This package contains utilities needed to configure aufs containers on-the-fly.

Package: aufs-tools-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ${misc:Depends}, aufs-tools (= ${binary:Version})
Description: Tools to manage aufs filesystems (debug)
 The aufs driver provides a unification file system for the Linux kernel. It
 allows one to virtually merge the contents of several directories and/or stack
 them, so that apparent file changes in the aufs end in file changes in only one
 of the source directories.
 .
 This package contains the debugging symbols for the utilities needed to
 configure aufs containers on-the-fly.

## aufs-tools 3.0+20111101

=== debian/changelog ===
aufs-tools (1:3.0+20111101-1ubuntu1) precise; urgency=low

  * Fix regex that checks version of aufs_type.h (failed on 3.x-rcN...)

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 18 Jan 2012 17:34:55 +0000

aufs-tools (1:3.0+20111101-1) unstable; urgency=low

  * Merging upstream version 3.0+20111101.
  * Updating build-depends to linux-libc-dev (Closes: #649051).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Dec 2011 10:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kernel
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8), linux-libc-dev (>= 3)
+Build-Depends: debhelper (>= 8), linux-libc-dev (>= 3.1)
 Standards-Version: 3.9.2
 Homepage: http://aufs.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/aufs-tools

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_strip:
	dh_strip --dbg-package=aufs-tools-dbg

## aufs-tools 3.0+20120411

=== debian/changelog ===
aufs-tools (1:3.0+20120411-2) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Trimming lintian overrides.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 03:32:01 +0200

aufs-tools (1:3.0+20120411-1) unstable; urgency=low

  * Updating package to standards version 3.9.3.
  * Updating package to debhelper version 9.
  * Updating copyright file to machine-readable format version 1.0.
  * Merging upstream version 3.0+20120411.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 13:17:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kernel
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8), linux-libc-dev (>= 3.1)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), linux-libc-dev (>= 3.1)
+Standards-Version: 3.9.3
 Homepage: http://aufs.sourceforge.net/
 
 Package: aufs-tools

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/aufs-tools

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_strip:
	dh_strip --dbg-package=aufs-tools-dbg

## aufs-tools 3.2+20130722

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA
 
+HOSTCC ?= cc
 CFLAGS += -I./libau
 CFLAGS += -O -Wall
 
@@ -83,6 +84,7 @@
 	}' aufs.in.5 >> $@
 	chmod a-w $@
 
+c2sh c2tmac ver: CC = ${HOSTCC}
 .INTERMEDIATE: c2sh c2tmac ver
 
 Install = install -o root -g root -p

=== libau/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA
 
 LibSoMajor = 2
-LibSoMinor = 6
+LibSoMinor = 7
 LibSo = libau.so
 LibSoObj = libau.o \
 	rdu_lib.o rdu.o rdu64.o \

=== sample/uloop/Makefile ===

# aufs sample -- ULOOP driver

# Copyright (C) 2005-2010 Junjiro Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

KDIR = /lib/modules/$(shell uname -r)/build

UserLib = libuloop.a
UserAp = ulohttp ulobdev
Tgt= ${UserLib} ${UserAp}
UloopVars = /tmp/uloopvars.mk

all: drivers/block/uloop.ko ${Tgt}

# the environment variables are not inherited since 2.6.23
drivers/block/uloop.ko clean: MAKE += ULOOP_EXTRA_CFLAGS=-I${CURDIR}/include
drivers/block/uloop.ko clean: MAKE += -C ${KDIR} M=${CURDIR}/drivers/block CONFIG_BLK_DEV_ULOOP=m
drivers/block/uloop.ko:
	${MAKE} modules

clean:
	${MAKE} $@
	${RM} ${Tgt} ${UloopVars} *.o *~

UserCFLAGS = -g -Wall -D_FILE_OFFSET_BITS=64 -DNDEBUG -I${CURDIR}/include -UNDEBUG
libuloop.a: CFLAGS=${UserCFLAGS}
libuloop.a: libuloop.a(libuloop.o)

${UserAp}: CFLAGS += ${UserCFLAGS}
${UserAp}: LDLIBS += -L${CURDIR} -luloop
ulohttp: LDLIBS += -lcurl

-include priv.mk

=== debian/changelog ===
aufs-tools (1:3.2+20130722-1.1ubuntu1) xenial; urgency=high

  * Drop pointless kernel version check.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 22 Jan 2016 17:39:25 +0000

aufs-tools (1:3.2+20130722-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry pick 0003-xino.patch from upstream: refine the xino truncation
    (Closes: #730932)

 -- David Prévot <taffit@debian.org>  Sun, 22 Dec 2013 12:15:32 -0400

aufs-tools (1:3.2+20130722-1) unstable; urgency=medium

  * Merging upstream version 3.2+20130722.
    - drop shebang patch merged upstream
    - use 3.2 branch (Closes: #718123).

 -- Luk Claes <luk@debian.org>  Sun, 11 Aug 2013 15:21:09 +0200

aufs-tools (1:3.0+20130111-3) unstable; urgency=low

  * Taking over with maintainer's consent.

 -- Luk Claes <luk@debian.org>  Sat, 20 Apr 2013 18:24:07 +0200

aufs-tools (1:3.0+20130111-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:50:11 +0100

aufs-tools (1:3.0+20130111-1) unstable; urgency=low

  * Merging upstream version 3.0+20130111.
  * Prefixing patches with four digits.
  * Updating year in copyright file.
  * Setting shebang for the time being to bash in included shell scripts
    (Closes: #701552).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Feb 2013 11:57:59 +0100

aufs-tools (1:3.0+20120411-4) unstable; urgency=low

  * Trimming diff header in static.patch.
  * Correcting manpage example syntax, thanks to Dan Greene <dan-
    greene@wi.rr.com> (Closes: #700111).
  * Dropping dpkg-source compression levels.
  * Updating year in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 09 Feb 2013 08:02:05 +0100

aufs-tools (1:3.0+20120411-3) unstable; urgency=low

  * Adding dpkg-source local options.
  * Updating to standards version 3.9.4.
  * Making build-depends on linux-libc-dev unversioned again for jessie.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Dec 2012 21:14:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: aufs-tools
 Section: kernel
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 9), linux-libc-dev (>= 3.1)
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
+Uploaders: Luk Claes <luk@debian.org>
+Build-Depends: debhelper (>= 9), linux-libc-dev
+Standards-Version: 3.9.4
 Homepage: http://aufs.sourceforge.net/
 
 Package: aufs-tools

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/aufs-tools
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_strip:
 	dh_strip --dbg-package=aufs-tools-dbg

## aufs-tools 4.1+20161219

=== Makefile ===

# Copyright (C) 2005-2016 Junjiro R. Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA

HOSTCC ?= cc
override CPPFLAGS += -D_GNU_SOURCE
override CPPFLAGS += -I./libau
override CPPFLAGS += -DAUFHSM_CMD=\"/usr/bin/aufhsm\"
override CFLAGS += -O -Wall
INSTALL ?= install
Install = ${INSTALL} -o root -g root -p
ManDir = /usr/share/man

#
# MountCmd: full path for mount(8)
# UmountCmd: full path for umount(8)
#
MountCmd=/bin/mount
UmountCmd=/bin/umount
override CPPFLAGS += -DMOUNT_CMD=\"${MountCmd}\"
override CPPFLAGS += -DUMOUNT_CMD=\"${UmountCmd}\"

#
# BuildFHSM: specify building FHSM tools
#
BuildFHSM = no
ifeq (${BuildFHSM},yes)
override CPPFLAGS += -DAUFHSM
LibUtilObj = mng_fhsm.o
define MakeFHSM
	${MAKE} -C fhsm ${1}
endef
else
# empty
define MakeFHSM
	@:
endef
endif

LibUtil = libautil.a
LibUtilObj += perror.o proc_mnt.o br.o plink.o mtab.o
LibUtilHdr = au_util.h

TopDir = ${CURDIR}
LastTestGlibc = test_glibc
# don't use -q for fgrep here since it exits when the string is found,
# and it causes the broken pipe error.
define test_glibc
	$(shell cat ${LastTestGlibc} 2> /dev/null || \
		{ ${1} ${CPPFLAGS} -I ${TopDir}/extlib/non-glibc -E -P -dM ${2} |\
		fgrep -w __GNU_LIBRARY__ > /dev/null && \
		echo yes || \
		echo no; } |\
		tee ${LastTestGlibc})
endef
$(filter-out clean, ${MAKECMDGOALS} all): \
	$(eval Glibc=$(call test_glibc, ${CC}, ver.c))
#$(warning Glibc=${Glibc})

LibAuDir ?= /usr/lib
ExtlibGlibcObj = au_nftw.o
ExtlibNonGlibcObj = ${ExtlibGlibcObj} au_decode_mntpnt.o error_at_line.o

ExtlibPath = extlib/glibc
ExtlibObj = ${ExtlibGlibcObj}
ifeq (${Glibc},no)
ExtlibPath = extlib/non-glibc
ExtlibObj = ${ExtlibNonGlibcObj}
LibUtilHdr += ${ExtlibPath}/error_at_line.h
override CPPFLAGS += -I${CURDIR}/${ExtlibPath}
endif
LibUtilObj += ${ExtlibObj}

Cmd = aubusy auchk aubrsync
Man = aufs.5
Etc = etc_default_aufs
Bin = auibusy aumvdown auplink mount.aufs umount.aufs #auctl
BinObj = $(addsuffix .o, ${Bin})

ifeq (${Glibc},no)
AuplinkFtwCmd=/sbin/auplink_ftw
override CPPFLAGS += -DAUPLINK_FTW_CMD=\"${AuplinkFtwCmd}\"
Cmd += auplink_ftw
endif

# suppress 'eval' for ${v}
$(foreach v, CC CPPFLAGS CFLAGS INSTALL Install ManDir TopDir LibUtilHdr \
	Glibc LibAuDir ExtlibPath, \
	$(eval MAKE += ${v}="$${${v}}"))

all: ver_test ${Man} ${Bin} ${Etc}
	${MAKE} -C libau $@
	ln -sf ./libau/libau*.so .
	$(call MakeFHSM, $@)

clean:
	${RM} ${Man} ${Bin} ${Etc} ${LibUtil} libau.so* ${LastTestGlibc} *~
	${RM} ${BinObj} ${LibUtilObj}
	for i in $(patsubst %.o,%.c, ${ExtlibGlibcObj} ${ExtlibNonGlibcObj}); \
	do test -L $${i} && ${RM} $${i} || :; \
	done
	${MAKE} -C libau $@
	$(call MakeFHSM, $@)

ver_test: ver
	./ver

${Bin}: override LDFLAGS += -static -s
${Bin}: LDLIBS = -L. -lautil
${BinObj}: %.o: %.c ${LibUtilHdr} ${LibUtil}

${LibUtilObj}: %.o: %.c ${LibUtilHdr}
#${LibUtil}: ${LibUtil}(${LibUtilObj})
${LibUtil}: $(foreach o, ${LibUtilObj}, ${LibUtil}(${o}))
.NOTPARALLEL: ${LibUtil}
ExtlibSrc = $(patsubst %.o,%.c, ${ExtlibObj})
${ExtlibSrc}: %: ${ExtlibPath}/%
	ln -sf $< $@
.INTERMEDIATE: ${ExtlibSrc}
${ExtlibObj}: CPPFLAGS += -I${CURDIR}

etc_default_aufs: c2sh aufs.shlib
	${RM} $@
	echo '# aufs variables for shell scripts' > $@
	./c2sh >> $@
	echo >> $@
	sed -e '0,/^$$/d' aufs.shlib >> $@

aufs.5: aufs.in.5 c2tmac
	${RM} $@
	./c2tmac > $@
	awk '{ \
		gsub(/\140[^\047]*\047/, "\\[oq]&\\[cq]"); \
		gsub(/\\\[oq\]\140/, "\\[oq]"); \
		gsub(/\047\\\[cq\]/, "\\[cq]"); \
		gsub(/\047/, "\\[aq]"); \
		print; \
	}' aufs.in.5 >> $@
	chmod a-w $@

c2sh c2tmac ver: CC = ${HOSTCC}
.INTERMEDIATE: c2sh c2tmac ver

install_sbin: File = auibusy aumvdown auplink mount.aufs umount.aufs
ifeq (${Glibc},no)
install_sbin: File += auplink_ftw
endif
install_sbin: Tgt = ${DESTDIR}/sbin
install_ubin: File = aubusy auchk aubrsync #auctl
install_ubin: Tgt = ${DESTDIR}/usr/bin
install_sbin install_ubin: ${File}
	${INSTALL} -d ${Tgt}
	${Install} -m 755 ${File} ${Tgt}
install_etc: File = etc_default_aufs
install_etc: Tgt = ${DESTDIR}/etc/default/aufs
install_etc: ${File}
	${INSTALL} -d $(dir ${Tgt})
	${Install} -m 644 -T ${File} ${Tgt}
install_man5: File = aufs.5
install_man5: Tgt = ${DESTDIR}${ManDir}/man5
install_man8: File = aumvdown.8
install_man8: Tgt = ${DESTDIR}${ManDir}/man8
install_man5 install_man8: ${File}
	${INSTALL} -d ${Tgt}
	${Install} -m 644 ${File} ${Tgt}
install_man: install_man5 install_man8

install_ulib:
	${MAKE} -C libau $@

install: all install_man install_sbin install_ubin install_etc install_ulib
	$(call MakeFHSM, $@)

-include priv.mk

=== debian/changelog ===
aufs-tools (1:4.1+20161219-1ubuntu0.1) artful; urgency=medium

  * Remove the Recommends: on aufs-dkms; our kernels in 17.10 have started
    to provide this virtual package, but this means apt on upgrade will pick
    a kernel at random to satisfy the Recommends.  Since all of our kernel
    packages logically satisfy this relationship, the explicit declaration
    only causes trouble.  This change can be dropped for the 18.10 release.
    (LP: #1728760)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Nov 2017 10:58:54 -0800

aufs-tools (1:4.1+20161219-1) unstable; urgency=medium

  * New upstream release.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass triplet-prefixed CC via environment
    rather than make command line. (Closes: #845724)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Wed, 21 Dec 2016 17:42:23 +0100

aufs-tools (1:4.1+20161010-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 21 Oct 2016 10:51:13 +0200

aufs-tools (1:4.1+20160919-2) unstable; urgency=medium

  * debian/control:
    - Move aufs-dkms from Depends to Recommends. (Closes: #838632)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 25 Sep 2016 20:44:43 +0200

aufs-tools (1:4.1+20160919-1) unstable; urgency=medium

  * New upstream release.
    - Fix auplink crashing on non-aufs mount points. (Closes: #777559)
  * Improve long description in debian/control.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 19 Sep 2016 17:48:52 +0200

aufs-tools (1:4.0+20160822-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Enable hardening options for the package.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 26 Aug 2016 18:23:00 +0200

aufs-tools (1:4.0+20160321-1) UNRELEASED; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #723594)
  * Use the new aufs binary packages as dependency. (Closes: #788513)
    - Add aufs-dev to Build-Depends in debian/control.
    - Add aufs-dkms to Depends in debian/control.
  * Use debug symbol package automatically generated by dh_strip.
  * Update copyright file.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 14 Aug 2016 16:05:18 +0200

=== debian/control ===
Source: aufs-tools
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
Uploaders: Jan Luca Naumann <j.naumann@fu-berlin.de>
Build-Depends: debhelper (>= 9), linux-libc-dev, aufs-dev
Standards-Version: 3.9.8
Homepage: http://aufs.sourceforge.net/
Vcs-Browser: https://github.com/JanLuca/aufs-tools-debian
Vcs-Git: https://github.com/JanLuca/aufs-tools-debian.git

Package: aufs-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools to manage aufs filesystems
 The aufs driver provides a union mount for Linux filesystems. It allows one
 to virtually merge the contents of several directories and/or stack them, so
 that file changes in the aufs union mount end up as changes in only one
 of the source directories.
 .
 This package contains utilities needed to configure aufs containers on-the-fly.

## aufs-tools 4.9+20170918

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-# Copyright (C) 2005-2016 Junjiro R. Okajima
+# Copyright (C) 2005-2017 Junjiro R. Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
aufs-tools (1:4.9+20170918-2) unstable; urgency=medium

  * debian/control:
    - Change Maintainer mail address to j.naumann@fu-berlin.de.
      (Closes: #899451)
    - Switch to Debian Salsa as Git hoster.
    - Update to Debian policy 4.1.4, no changes needed.
  * debian/compat:
    - Update to debhelper compat level 11.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 26 May 2018 14:35:47 +0200

aufs-tools (1:4.9+20170918-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.1.2, no changes required.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 02 Dec 2017 12:46:15 +0100

=== debian/control ===
Source: aufs-tools
Section: kernel
Priority: optional
Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
Build-Depends: debhelper (>= 11), linux-libc-dev, aufs-dev
Standards-Version: 4.1.4
Homepage: http://aufs.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-tools-debian
Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-tools-debian.git

Package: aufs-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: aufs-dkms
Description: Tools to manage aufs filesystems
 The aufs driver provides a union mount for Linux filesystems. It allows one
 to virtually merge the contents of several directories and/or stack them, so
 that file changes in the aufs union mount end up as changes in only one
 of the source directories.
 .
 This package contains utilities needed to configure aufs containers on-the-fly.

## aufs-tools 4.14%2B20190211

=== Makefile ===

# Copyright (C) 2011-2019 Junjiro R. Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA

UsrBin = aufhsm
UsrLib = aufhsm-list aufhsmd
Man5 = aufs_fhsm.5
Man8 = $(addsuffix .8, ${UsrBin} ${UsrLib})
Man = ${Man5} ${Man8}
LibFhsm = libfhsm.a
LibFhsmObj = event.o fhsm.o list.o log.o msg.o mvdown.o shm.o
LibFhsmHdr = comm.h daemon.h linux-list.h log.h
Tgt = ${UsrBin} aufhsmd
TgtObj = $(addsuffix .o, ${Tgt})

all: ${Tgt}

clean:
	${RM} ${Tgt} ${TgtObj} ${LibFhsm} ${LibFhsmObj} *~

install: install_ubin install_ulib install_man

########################################

override CPPFLAGS += -DAUFHSM_LIST_CMD=\"/usr/lib/aufhsm-list\"
override CPPFLAGS += -DAUFHSMD_CMD=\"/usr/lib/aufhsmd\"
${LibFhsmObj}: %.o: %.c ${LibFhsmHdr} $(addprefix ../, ${LibUtilHdr})
${LibFhsm}: $(foreach o, ${LibFhsmObj}, ${LibFhsm}(${o}))
.NOTPARALLEL: ${LibFhsm}

${TgtObj}: %.o: %.c ${LibFhsmHdr} $(addprefix ../, ${LibUtilHdr}) ${LibFhsm}
#${Tgt}: override LDFLAGS += -static
${Tgt}: override LDFLAGS += -s
${Tgt}: override LDLIBS += -L. -lfhsm -L.. -lautil -lrt

########################################

install_ubin: File = ${UsrBin}
install_ubin: Tgt = ${DESTDIR}/usr/bin
install_ulib: File = ${UsrLib}
install_ulib: Tgt = ${DESTDIR}/usr/lib
install_ubin install_ulib: ${File}
	${INSTALL} -d ${Tgt}
	${Install} -m 755 ${File} ${Tgt}
install_man5: File = ${Man5}
install_man5: Tgt = ${DESTDIR}${ManDir}/man5
install_man8: File = ${Man8}
install_man8: Tgt = ${DESTDIR}${ManDir}/man8
install_man5 install_man8: ${File}
	${INSTALL} -d ${Tgt}
	${Install} -m 644 ${File} ${Tgt}
install_man: install_man5 install_man8

-include priv.mk

## aufs-tools 4.14+20190211

=== Makefile ===

# Copyright (C) 2005-2019 Junjiro R. Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA

HOSTCC ?= cc
override CPPFLAGS += -D_GNU_SOURCE
override CPPFLAGS += -I./libau
override CPPFLAGS += -DAUFHSM_CMD=\"/usr/bin/aufhsm\"
override CFLAGS += -O -Wall
INSTALL ?= install
Install = ${INSTALL} -o root -g root -p
ManDir = /usr/share/man

#
# MountCmd: full path for mount(8)
# UmountCmd: full path for umount(8)
#
MountCmd=/bin/mount
UmountCmd=/bin/umount
override CPPFLAGS += -DMOUNT_CMD=\"${MountCmd}\"
override CPPFLAGS += -DUMOUNT_CMD=\"${UmountCmd}\"

#
# BuildFHSM: specify building FHSM tools
#
BuildFHSM = no
ifeq (${BuildFHSM},yes)
override CPPFLAGS += -DAUFHSM
LibUtilObj = mng_fhsm.o
define MakeFHSM
	${MAKE} -C fhsm ${1}
endef
else
# empty
define MakeFHSM
	@:
endef
endif

LibUtil = libautil.a
LibUtilObj += perror.o proc_mnt.o br.o plink.o mtab.o
LibUtilHdr = au_util.h

TopDir = ${CURDIR}
LastTestGlibc = test_glibc
# don't use -q for fgrep here since it exits when the string is found,
# and it causes the broken pipe error.
define test_glibc
	$(shell cat ${LastTestGlibc} 2> /dev/null || \
		{ ${1} ${CPPFLAGS} -I ${TopDir}/extlib/non-glibc -E -P -dM ${2} |\
		fgrep -w __GNU_LIBRARY__ > /dev/null && \
		echo yes || \
		echo no; } |\
		tee ${LastTestGlibc})
endef
pre:
	$(eval Glibc=$(call test_glibc, ${CC}, ver.c))
$(filter-out clean, ${MAKECMDGOALS} all): pre
#$(warning Glibc=${Glibc})

LibAuDir ?= /usr/lib
ExtlibGlibcObj = au_nftw.o
ExtlibNonGlibcObj = ${ExtlibGlibcObj} au_decode_mntpnt.o error_at_line.o

ExtlibPath = extlib/glibc
ExtlibObj = ${ExtlibGlibcObj}
ifeq (${Glibc},no)
ExtlibPath = extlib/non-glibc
ExtlibObj = ${ExtlibNonGlibcObj}
LibUtilHdr += ${ExtlibPath}/error_at_line.h
override CPPFLAGS += -I${CURDIR}/${ExtlibPath}
endif
LibUtilObj += ${ExtlibObj}

Cmd = aubusy auchk aubrsync
Man = aufs.5
Etc = etc_default_aufs
Bin = auibusy aumvdown auplink mount.aufs umount.aufs #auctl
BinObj = $(addsuffix .o, ${Bin})

ifeq (${Glibc},no)
AuplinkFtwCmd=/sbin/auplink_ftw
override CPPFLAGS += -DAUPLINK_FTW_CMD=\"${AuplinkFtwCmd}\"
Cmd += auplink_ftw
endif

# suppress 'eval' for ${v}
$(foreach v, CC CPPFLAGS CFLAGS INSTALL Install ManDir TopDir LibUtilHdr \
	Glibc LibAuDir ExtlibPath, \
	$(eval MAKE += ${v}="$${${v}}"))

all: ver_test ${Man} ${Bin} ${Etc}
	${MAKE} -C libau $@
	ln -sf ./libau/libau*.so .
	$(call MakeFHSM, $@)

clean:
	${RM} ${Man} ${Bin} ${Etc} ${LibUtil} libau.so* ${LastTestGlibc} *~
	${RM} ${BinObj} ${LibUtilObj}
	for i in $(patsubst %.o,%.c, ${ExtlibGlibcObj} ${ExtlibNonGlibcObj}); \
	do test -L $${i} && ${RM} $${i} || :; \
	done
	${MAKE} -C libau $@
	$(call MakeFHSM, $@)

ver_test: ver
	./ver

${Bin}: override LDFLAGS += -static -s
${Bin}: LDLIBS = -L. -lautil
${BinObj}: %.o: %.c ${LibUtilHdr} ${LibUtil}

ARFLAGS := ${ARFLAGS}U
export ARFLAGS
${LibUtilObj}: %.o: %.c ${LibUtilHdr}
#${LibUtil}: ${LibUtil}(${LibUtilObj})
${LibUtil}: $(foreach o, ${LibUtilObj}, ${LibUtil}(${o}))
.NOTPARALLEL: ${LibUtil}
ExtlibSrc = $(patsubst %.o,%.c, ${ExtlibObj})
${ExtlibSrc}: %: ${ExtlibPath}/%
	ln -sf $< $@
.INTERMEDIATE: ${ExtlibSrc}
${ExtlibObj}: CPPFLAGS += -I${CURDIR}

etc_default_aufs: c2sh aufs.shlib
	${RM} $@
	echo '# aufs variables for shell scripts' > $@
	./c2sh >> $@
	echo >> $@
	sed -e '0,/^$$/d' aufs.shlib >> $@

aufs.5: aufs.in.5 c2tmac
	${RM} $@
	./c2tmac > $@
	awk '{ \
		gsub(/\140[^\047]*\047/, "\\[oq]&\\[cq]"); \
		gsub(/\\\[oq\]\140/, "\\[oq]"); \
		gsub(/\047\\\[cq\]/, "\\[cq]"); \
		gsub(/\047/, "\\[aq]"); \
		print; \
	}' aufs.in.5 >> $@
	chmod a-w $@

c2sh c2tmac ver: CC = ${HOSTCC}
.INTERMEDIATE: c2sh c2tmac ver

install_sbin: File = auibusy aumvdown auplink mount.aufs umount.aufs
ifeq (${Glibc},no)
install_sbin: File += auplink_ftw
endif
install_sbin: Tgt = ${DESTDIR}/sbin
install_ubin: File = aubusy auchk aubrsync #auctl
install_ubin: Tgt = ${DESTDIR}/usr/bin
install_sbin install_ubin: ${File}
	${INSTALL} -d ${Tgt}
	${Install} -m 755 ${File} ${Tgt}
install_etc: File = etc_default_aufs
install_etc: Tgt = ${DESTDIR}/etc/default/aufs
install_etc: ${File}
	${INSTALL} -d $(dir ${Tgt})
	${Install} -m 644 -T ${File} ${Tgt}
install_man5: File = aufs.5
install_man5: Tgt = ${DESTDIR}${ManDir}/man5
install_man8: File = aumvdown.8
install_man8: Tgt = ${DESTDIR}${ManDir}/man8
install_man5 install_man8: ${File}
	${INSTALL} -d ${Tgt}
	${Install} -m 644 ${File} ${Tgt}
install_man: install_man5 install_man8

install_ulib:
	${MAKE} -C libau $@

install: all install_man install_sbin install_ubin install_etc install_ulib
	$(call MakeFHSM, $@)

-include priv.mk

=== debian/changelog ===
aufs-tools (1:4.14+20190211-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.3.0, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Tue, 26 Feb 2019 09:58:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
 Build-Depends: debhelper (>= 11), linux-libc-dev, aufs-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-tools-debian
 Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-tools-debian.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Set LibAuDir to proper directory
export LibAuDir = /usr/lib

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean -- clean

override_dh_auto_build:
	# avoid passing CC to the make command line via dh_auto_build
	$(MAKE)

override_dh_strip:
	dh_strip --dbgsym-migration='aufs-tools-dbg (<< 1:4.0+20160822-1)'

## aufs-tools 20100601

=== Makefile ===

# Copyright (C) 2005-2010 Junjiro R. Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA

ifndef KDIR
KDIR = /lib/modules/$(shell uname -r)/build
endif
ifneq "t" "$(shell test -e ${KDIR}/include/linux/stddef.h && echo t)"
$(error incorrect KDIR)
endif

ifndef ARCH
ARCH := $(shell uname -m)
endif
ARCH := $(shell echo ${ARCH} | sed -e 's/_64$$//')
ArchDir = ${KDIR}/arch/${ARCH}/include

CFLAGS += -I${KDIR}/include -I./libau
CFLAGS += $(shell test -d ${ArchDir} && echo -I${ArchDir})
CFLAGS += -O -Wall

Cmd = umount.aufs auchk aubrsync
Man = aufs.5
Etc = etc_default_aufs
Bin = auplink mount.aufs #auctl
BinObj = $(addsuffix .o, ${Bin})
LibUtil = libautil.a
LibUtilObj = proc_mnt.o br.o plink.o mtab.o
LibUtilHdr = au_util.h
export

all: ${Man} ${Bin} ${Etc}
	${MAKE} -C libau $@
	ln -sf ./libau/libau*.so .

${Bin}: LDFLAGS += -static -s
${Bin}: LDLIBS = -L. -lautil
${BinObj}: %.o: %.c ${LibUtilHdr} ${LibUtil}

${LibUtilObj}: %.o: %.c ${LibUtilHdr}
${LibUtil}: ${LibUtil}(${LibUtilObj})
.NOTPARALLEL: ${LibUtil}

etc_default_aufs: c2sh aufs.shlib
	${RM} $@
	echo '# aufs variables for shell scripts' > $@
	./c2sh >> $@
	echo >> $@
	sed -e '0,/^$$/d' aufs.shlib >> $@

aufs.5: aufs.in.5 c2tmac
	${RM} $@
	./c2tmac > $@
	awk '{ \
		gsub(/\140[^\047]*\047/, "\\[oq]&\\[cq]"); \
		gsub(/\\\[oq\]\140/, "\\[oq]"); \
		gsub(/\047\\\[cq\]/, "\\[cq]"); \
		gsub(/\047/, "\\[aq]"); \
		print; \
	}' aufs.in.5 >> $@
	chmod a-w $@

.INTERMEDIATE: c2sh c2tmac

Install = install -o root -g root -p
install_sbin: File = mount.aufs umount.aufs auplink
install_sbin: Tgt = ${DESTDIR}/sbin
install_ubin: File = auchk aubrsync #auctl
install_ubin: Tgt = ${DESTDIR}/usr/bin
install_sbin install_ubin: ${File}
	install -d ${Tgt}
	${Install} -m 755 ${File} ${Tgt}
install_etc: File = etc_default_aufs
install_etc: Tgt = ${DESTDIR}/etc/default/aufs
install_etc: ${File}
	install -d $(dir ${Tgt})
	${Install} -m 644 -T ${File} ${Tgt}
install_man: File = aufs.5
install_man: Tgt = ${DESTDIR}/usr/share/man/man5
install_man: ${File}
	install -d ${Tgt}
	${Install} -m 644 ${File} ${Tgt}
install_ulib:
	${MAKE} -C libau $@

install: install_man install_sbin install_ubin install_etc install_ulib

clean:
	${RM} ${Man} ${Bin} ${Etc} ${LibUtil} libau.so* *~
	${RM} ${BinObj} ${LibUtilObj}
	${MAKE} -C libau $@

-include priv.mk

=== libau/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Junjiro R. Okajima
+# Copyright (C) 2005-2010 Junjiro R. Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -15,7 +15,7 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA
 
 LibSoMajor = 2
-LibSoMinor = 7
+LibSoMinor = 2
 LibSo = libau.so
 LibSoObj = libau.o \
 	rdu_lib.o rdu.o rdu64.o \

## aufs-tools 20100901

=== libau/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301	 USA
 
 LibSoMajor = 2
-LibSoMinor = 2
+LibSoMinor = 3
 LibSo = libau.so
 LibSoObj = libau.o \
 	rdu_lib.o rdu.o rdu64.o \

=== debian/control ===
Source: aufs-tools
Section: kernel
Priority: optional
Maintainer: Daniel Baumann <daniel@lists.debian-maintainers.org>
Uploaders: Daniel Baumann <daniel@debian.org>,
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://aufs.sourceforge.net/
Vcs-Browser: http://git.debian-maintainers.org/?p=daniel/aufs-tools.git
Vcs-Git: git://git.debian-maintainers.org/git/daniel/aufs-tools.git

Package: aufs-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools to manage aufs filesystems
 The aufs driver provides a unification file system for the Linux kernel. It
 allows to virtually merge the contents of several directories and/or stack
 them, so that apparent file changes in the aufs end in file changes in only one
 of the source directories.
 .
 This package contains utilities needed to configure aufs containers on-the-fly.

Package: aufs-tools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, aufs-tools (= ${binary:Version})
Description: Tools to manage aufs filesystems (debug)
 The aufs driver provides a unification file system for the Linux kernel. It
 allows to virtually merge the contents of several directories and/or stack
 them, so that apparent file changes in the aufs end in file changes in only one
 of the source directories.
 .
 This package contains the debugging symbols for the utilities needed to
 configure aufs containers on-the-fly.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) KDIR=/usr

override_dh_auto_install:
	$(MAKE) KDIR=/usr DESTDIR=$(CURDIR)/debian/aufs-tools install

override_dh_strip:
	dh_strip --dbg-package=aufs-tools-dbg

## aufs-tools 20110410

=== debian/control ===
Source: aufs-tools
Section: kernel
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://aufs.sourceforge.net/

Package: aufs-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools to manage aufs filesystems
 The aufs driver provides a unification file system for the Linux kernel. It
 allows one to virtually merge the contents of several directories and/or stack
 them, so that apparent file changes in the aufs end in file changes in only one
 of the source directories.
 .
 This package contains utilities needed to configure aufs containers on-the-fly.

Package: aufs-tools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, aufs-tools (= ${binary:Version})
Description: Tools to manage aufs filesystems (debug)
 The aufs driver provides a unification file system for the Linux kernel. It
 allows one to virtually merge the contents of several directories and/or stack
 them, so that apparent file changes in the aufs end in file changes in only one
 of the source directories.
 .
 This package contains the debugging symbols for the utilities needed to
 configure aufs containers on-the-fly.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/aufs-tools

override_dh_strip:
	dh_strip --dbg-package=aufs-tools-dbg
